/* $Header: /CVSROOT/debris/cmds/md5sum.c,v 1.1 2005/07/25 03:01:27 tino Exp $
 *
 * DebRIS: DEBian Remote Install Scripter
 * md5sum command
 *
 * $Log: md5sum.c,v $
 * Revision 1.1  2005/07/25 03:01:27  tino
 * added
 *
 */

static int
driscmd_md5sum(char *args)
{
  char	*file;

  while ((file=nextarg(&args))!=0)
    {
      FILE	*fd;
      int	n;
      char	buf[BUFSIZ*10];

      if ((fd=fopen(file, "rb"))==NULL)
	{
	  dris_out_error("cannot read: %s", file);
	  continue;
	}
      dris_md5_init();
      while ((n=fread(buf, 1, sizeof buf, fd))>0)
	dris_md5_add(buf, n);
      dris_out("%s %s\n", dris_md5_get(), file);
      fclose(fd);
    }
  return 0;
}
